<!--
 .. File: stackrpms-acer-chromebook README
 .. Location: https://bgstack15.ddns.net/cgit/stackrpms-acer-chromebook/
 .. Author: bgstack15
 .. SPDX-License-Identifier: GPL-3.0
 .. Startdate: 2022-11-02-4 20:52
 .. Title: README for package Stackrpms Acer Chromebook C720
 .. Package: stackrpms-acer-chromebook
 .. Purpose: Readme for Acer Chromebook C720 Stackrpms configuration project
 .. Usage: Readme
 .. History:
 .. Reference:
 .. Improve:
 .. Documentation: this
 -->

# Overview
This project, `/mnt/public/Support/Platforms/stackrpms-acer-chromebook/` holds a git repository of my package of useful settings for Acer Chromebook C720 systems, which include:

* cbb-001 Cute

Some configurations include:

* Xmodmap, automatically applied by the provided fluxbox startup file
* Netmounts tray icon
* Vpn tray icon
* hwset customized for Acer Chromebook C720
* Fluxbox settings available in /etc/stackrpms-acer-chromebook/. You can symlink them with:

    ln -sf /etc/stackrpms-acer-chromebook/fluxbox.keys ~/.fluxbox/keys
    ln -sf /etc/stackrpms-acer-chromebook/fluxbox.startup ~/.fluxbox/startup

# Using
Install this package, and symlink the fluxbox config files as seen above. Optionally, install those in the /etc/skel path for `.fluxbox/`.

# Success criteria
This project will be considered stable when the following are met:

* CTRL+ALT+F6/F7 screen brightness up/down buttons work
* CTRL+ALT+F8 audio mute button works
* CTRL+ALT+F9/F10 Volume up/down buttons work
* Power button prompts for action instead of immediately shutting down

# Building

    cd /mnt/public/Support/Platforms/ ; rm -f stackrpms-acer-chromebook-0.0.1.tar.gz ; tar -zcf stackrpms-acer-chromebook-0.0.1.tar.gz --exclude debian --exclude .git --exclude '.*.swp' stackrpms-acer-chromebook ; cd stackrpms-acer-chromebook/
    debuild -us -uc

# Reference
This project was forked from stackrpms-thinkpad-p50s v0.0.4 on 2024-04-30.

# Changelog
2024-04-30 v0.0.1
* Initial release forked from stackrpms-thinkpad-p50s
